import type { PreprocessorGroup } from "svelte/types/compiler/preprocess";
import type { Options } from "prettier";
import "prettier-plugin-svelte";
interface HighlightOptions {
    /**
     * @default
     * (filename) => /(node_modules|.svelte-kit)/.test(filename)
     * @example
     * highlight({
     *  ignorePath: (filename) => /demo/.test(filename),
     * })
     */
    ignorePath?: (filename: string) => boolean;
    /**
     * Code is formatted by Prettier before it's highlighted.
     * By default, the language is used as the parser.
     * @example
     * highlight({
     *  prettierOptions: {
     *    printWidth: 100,
     *  },
     * })
     */
    prettierOptions?: Options;
}
declare type Highlight = (options?: HighlightOptions) => Pick<PreprocessorGroup, "markup">;
export declare const highlight: Highlight;
export {};
